/**
 * SiteBuilder session scripts
 *
 * @copyright (c) 2004-2007, SWsoft
 */
function SbSession(name, value) {
	this._paramName = name;
	this._sessionId = value;
}

SbSession.prototype.addCredentialsToUrl = function(viewUrl) {
	viewUrl += (viewUrl.indexOf('?') < 0) ? '?' : '&';
	viewUrl += escape(this._paramName) + '=' + escape(this._sessionId);
	return viewUrl;
}